Package org.eclipse.net4j.util.collection

# Class ComposedIterator<T>

java.lang.Object
org.eclipse.net4j.util.collection.AbstractIterator<T>
org.eclipse.net4j.util.collection.ComposedIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class ComposedIterator<T> extends AbstractIterator<T>
An iterator that is composed of multiple delegate iterators.

Since:
  3.4
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

`END_OF_DATA`

## Constructor Summary

Constructors
Constructor
Description
`ComposedIterator(Collection<? extends Iterator<T>> delegates)`
`ComposedIterator(Iterator<? extends Iterator<T>> delegates)`
`ComposedIterator(Iterator<T>... delegates)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`computeNextElement()`
Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.
`static <T> Iterator<T>`
`fromIterables(Collection<? extends Iterable<T>> iterables)`

### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

`empty, hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ComposedIterator

@SafeVarargs public ComposedIterator(Iterator<T>... delegates)

### ComposedIterator

public ComposedIterator(Collection<? extends Iterator<T>> delegates)

### ComposedIterator

public ComposedIterator(Iterator<? extends Iterator<T>> delegates)

## Method Details

### computeNextElement

protected Object computeNextElement()
Description copied from class: `AbstractIterator`
Returns the next iteration element, or `AbstractIterator.END_OF_DATA` if the end of the iteration has been reached.

Specified by:
  `computeNextElement` in class `AbstractIterator<T>`

### fromIterables

public static <T> Iterator<T> fromIterables(Collection<? extends Iterable<T>> iterables)